Bug 102704 - portmap init script uses the id command
portmap init script uses the id command
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: portmap (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-19 21:04 EDT by Paul Jakma
Modified: 2015-01-07 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-12 10:31:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Jakma 2003-08-19 21:04:20 EDT
Description of problem:

The portmap init script contains the following:

[ `id -u` = 0 ] || exit 0

Unfortunately:

[paul@fogarty quagga-wq]$ which id
/usr/bin/id
[paul@fogarty quagga-wq]$ rpm -qf /usr/bin/id
coreutils-4.5.3-19

id is on /usr, which may not be available. This is a show stopper for machines
which mount /usr via NFS. (eg NFS root, or just /usr).

I suggest the init script use the bash buil-in EUID variable instead:

[ "${EUID" = 0 ] || exit 0

Version-Release number of selected component (if applicable):

[paul@fogarty quagga-wq]$ rpm -q portmap
portmap-4.0-54
Comment 1 Steve Dickson 2003-08-20 18:51:34 EDT
I guess we could move the check into the portmap binary
thus eliminating the need for the check in the script...
Comment 2 Troels Arvin 2004-08-12 04:57:25 EDT
The id-check seems gone in - e.g. - FC 2.

Given that Red Hat 9 isn't supported any more, shouldn't this bug be
closed?

Note You need to log in before you can comment on or make changes to this bug.